# isAppendMode property

bool get isAppendMode

Returns whether this writer is in append mode.

## Returns

true if the writer appends to the end of the file, false if it overwrites.

## Example

    final writer1 = FileWriter('file.txt');
    print(writer1.isAppendMode); // false

    final writer2 = FileWriter('file.txt', append: true);
    print(writer2.isAppendMode); // true

## Implementation

    bool get isAppendMode => _append;